package com.jz.dmp.modules.service;

import com.jz.dmp.modules.model.DmpTable;

import java.util.List;

/**
 * 项目表信息(DmpTable)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-23 15:32:56
 */
public interface DmpTableService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DmpTable queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpTable> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dmpTable 实例对象
     * @return 实例对象
     */
    DmpTable insert(DmpTable dmpTable);

    /**
     * 修改数据
     *
     * @param dmpTable 实例对象
     * @return 实例对象
     */
    DmpTable update(DmpTable dmpTable);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}